View Issue Details

IDProjectCategoryView StatusLast Update
0005307Talermechant backendpublic2018-06-12 09:00
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005307: list of merchant's uncovered code paths
DescriptionThe following (non-exhaustive) list contains paths of the
merchant code that are not covered yet by the tests.

* attempt to increase the refund on a contract that was not paid.
* attempt to pickup a refund using a unknown order id
* attempt to pickup a refund using a known order id from a non refunded contract
* attempt to authorize a tip on a non-existent reserve.
* attempt to pickup a tip using a non-existent tip_id.
TagsNo tags attached.

Relationships

related to 0005312 resolvedMarcello Stanisci list of exchange operations we should test better 

Activities

Christian Grothoff

2018-03-27 18:16

manager   ~0012910

0005313 includes "my" list based on coverage, which is in parts likely exactly the same. So if tests are added, we should update bug notes on both these bugs.

Marcello Stanisci

2018-05-22 09:13

manager   ~0012936

The following issue should be addressed.

May 22 09:10:02-146177 test-merchant-api-new-4401 DEBUG Running command `run-aggregator-11'
May 22 09:10:02-164984 taler-exchange-aggregator-4517 ERROR Assertion failed at taler-exchange-aggregator.c:639

Marcello Stanisci

2018-05-22 10:04

manager   ~0012937

Commit 16d26b2 reaches the third point.

Marcello Stanisci

2018-05-22 10:42

manager   ~0012938

4th bullet point is not worth doing. It would require to stop and restart
the merchant backend handing it a special artificial configuration file where
the tipping instance is given a wrong reserve key. Sounds like lots of work
for a not-so-critical issue.

Marcello Stanisci

2018-05-22 11:12

manager   ~0012939

7ada0ce implements the last point.

Marcello Stanisci

2018-05-22 12:10

manager   ~0012940

Last edited: 2018-05-22 12:11

View 2 revisions

@0012938: Reopening as it is actually possible to get a wrong
reserve key without restarting the merchant. It suffices to
just put a new instance in the configuration that points to a fake key.

Marcello Stanisci

2018-05-22 14:54

manager   ~0012949

9948929694bc74c9a tests the tip authorization over a wrong reserve key.

Marcello Stanisci

2018-05-22 14:55

manager   ~0012951

At some point, it would be very convenient to have some
coverage stats on the merchant *server* itself, not just
the lib.

Issue History

Date Modified Username Field Change
2018-03-27 16:11 Marcello Stanisci New Issue
2018-03-27 16:11 Marcello Stanisci Status new => assigned
2018-03-27 16:11 Marcello Stanisci Assigned To => Marcello Stanisci
2018-03-27 16:11 Marcello Stanisci Category merchant backend API (C) => mechant backend
2018-03-27 18:15 Christian Grothoff Product Version => SVN HEAD
2018-03-27 18:15 Christian Grothoff Target Version => 0.6
2018-03-27 18:15 Christian Grothoff Relationship added related to 0005312
2018-03-27 18:16 Christian Grothoff Note Added: 0012910
2018-05-22 09:13 Marcello Stanisci Note Added: 0012936
2018-05-22 10:04 Marcello Stanisci Note Added: 0012937
2018-05-22 10:42 Marcello Stanisci Note Added: 0012938
2018-05-22 11:12 Marcello Stanisci Note Added: 0012939
2018-05-22 11:12 Marcello Stanisci Status assigned => resolved
2018-05-22 11:12 Marcello Stanisci Resolution open => fixed
2018-05-22 12:10 Marcello Stanisci Status resolved => new
2018-05-22 12:10 Marcello Stanisci Resolution fixed => reopened
2018-05-22 12:10 Marcello Stanisci Note Added: 0012940
2018-05-22 12:10 Marcello Stanisci Status new => acknowledged
2018-05-22 12:11 Marcello Stanisci Status acknowledged => assigned
2018-05-22 12:11 Marcello Stanisci Note Edited: 0012940 View Revisions
2018-05-22 14:54 Marcello Stanisci Note Added: 0012949
2018-05-22 14:55 Marcello Stanisci Status assigned => resolved
2018-05-22 14:55 Marcello Stanisci Resolution reopened => fixed
2018-05-22 14:55 Marcello Stanisci Note Added: 0012951
2018-06-12 09:00 Christian Grothoff Fixed in Version => 0.6